%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -d -s

Summary:	XML  parser library designed for Jabber applications
Name:		iksemel
Version:	1.4
Release:	%mkrel 12
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://iksemel.googlecode.com/
Source0:	http://iksemel.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		0001-Fix-issues-compiling-with-newer-gnutls.patch
Patch3:		iksemel-1.4-automake-1.13.patch
Patch4:		secure_gnutls_options.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig(gnutls) >= 0.1.0

%description
iksemel is an XML (eXtensible Markup Language) parser library designed for
Jabber applications. It is coded in ANSI C for POSIX compatible environments, 
thus highly portable.
 
%package -n	%{libname}
Summary:	Shared Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
iksemel is an XML (eXtensible Markup Language) parser library designed for
Jabber applications. It is coded in ANSI C for POSIX compatible environments, 
thus highly portable.

This package contains the shared %{name} library.

%package -n	%{develname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name 3

%description -n	%{develname}
iksemel is an XML (eXtensible Markup Language) parser library designed for
Jabber applications. It is coded in ANSI C for POSIX compatible environments, 
thus highly portable.

This package contains the development library and its header files
for the %{name} library.

%package -n	%{staticdevelname}
Summary:	Static  %{name} development library
Group:		Development/C
Obsoletes:	%mklibname -s -d %name 3
Requires:	%{develname} = %version-%release

%description -n	%{staticdevelname}
iksemel is an XML (eXtensible Markup Language) parser library designed for
Jabber applications. It is coded in ANSI C for POSIX compatible environments, 
thus highly portable.

This package contains the static %{name} library.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_bindir}/*
%{_infodir}/%{name}*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files -n %{staticdevelname}
%{_libdir}/lib*%{name}*.a


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.4-12.mga9
+ Revision: 1832959
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 1.4-11.mga9
+ Revision: 1789891
- fix files list

* Tue Feb 11 2020 umeabot <umeabot> 1.4-10.mga8
+ Revision: 1489031
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Sep 03 2018 tv <tv> 1.4-9.mga7
+ Revision: 1256805
- rely on filetriggers for info system (mga#23482)

* Tue Jan 12 2016 luigiwalser <luigiwalser> 1.4-8.mga6
+ Revision: 922311
- add patch from debian via omdv to fix build with gnutls 3.4
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 1.4-7.mga5
+ Revision: 745219
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-6.mga5
+ Revision: 680479
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-5.mga4
+ Revision: 508350
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ luigiwalser <luigiwalser>
- fix for automake 1.13

* Sun Mar 25 2012 dlucio <dlucio> 1.4-2.mga2
+ Revision: 226282
- imported package iksemel


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-2mdv2011.0
+ Revision: 611177
- rebuild

* Sun Nov 15 2009 Funda Wang <fwang@mandriva.org> 1.4-1mdv2010.1
+ Revision: 466179
- new version 1.4

* Wed Jun 03 2009 Funda Wang <fwang@mandriva.org> 1.3-5mdv2010.0
+ Revision: 382373
- rebuild for gnutls 2.8

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3-4mdv2009.0
+ Revision: 233037
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.3-3mdv2008.1
+ Revision: 170895
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 1.3-2mdv2008.1
+ Revision: 156358
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 1.3-1mdv2008.1
+ Revision: 116648
- New version 1.3

* Sun Sep 16 2007 Funda Wang <fwang@mandriva.org> 1.2-3mdv2008.0
+ Revision: 87949
- fix bu#26905
- New devel package policy

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.0
+ Revision: 54741
- Import iksemel



* Mon Jun 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2007.0
- spec file attack

* Sun Dec 11 2005 Emmanuel Blindauer <blindauer@mandriva.org> 1.2-1mdk
- First Mandrakelinux release
